/* weight.h - Morse Code Dojo character weight container class
 * 
 *  Morse Code Dojo
 * 
 *  Copyright (c) 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */
#ifndef WEIGHT_H
#define WEIGHT_H

class Weight
{
   public:
      Weight();
      ~Weight();
      void setWeight(int ch, int w);
      int weight(int ch);
      void setAll(int w);
      Weight & operator=(Weight w);

   protected:
      int m_value[43];
};

#endif /* WEIGHT_H */
